Vmware-Server-1.0 mit Debian Squeeze

Aus Knowledgebase
Wechseln zu: Navigation, Suche

Um Vmware-Server 1.0.10 unter Debian Squeeze betreiben zu können, sind im Vergleich zu Lenny einige Schritte zusätzlich notwendig.

Grundlegend sollte man sich zuerst mit Vmware-Server-1.0 mit Debian Lenny vertraut machen. Die dort gemachten Angaben zur Installation gelten auch unter Squeeze.

Da sich von Kernelrelease zu Kernelrelease immer wieder Internas ändern, sind immer wieder Anpassungen an kernelbezogener Software notwendig. Um die Vmware-Module weiterhin kompilieren zu können, muß dieses Archiv heruntergeladen und ausgepackt werden. Im resultierenden Verzeichnis wird (als root) runme.pl ausgeführt, was die Vmware-Installation passend patcht und die Konfiguration weiterführt.

Achtung, der Kernel muss ebenfalls gepatcht werden, wie das geht, steht im README des Archives!

Vmware-Konsole startet nicht mehr

Die Konsole will bei einer frischen Installation auch nicht mehr starten:

/usr/lib/vmware/bin/vmware: symbol lookup error: /usr/lib/libgio-2.0.so.0: undefined symbol: g_thread_gettime

Die Fehlermeldung ist irreführend, die libgio ist nicht das Problem, wohl aber weitere Libs, die dieses Symbol nicht mehr beinhalten. Vmware liefert einen Haufen Libraries mit, damit ihre nur im Binärcode ausgelieferte Konsole nicht über neue Versionen von Libs stolpert.

Lösung: In /usr/lib/vmware/lib/wrapper-gtk24.sh ab Zeile 30 die zu GLib gehörenden vier Zeilen auskommentieren. Damit werden die in ihren Symbolen übereinstimmenden Systemlibs benutzt.

Authentisierung der Vmware-Konsole schlägt fehl

Das liegt an zwei Gründen:

  • Die Openssl-Libs werden nicht gefunden.
cd /usr/lib
ln -s libcrypto.so.0.9.8 libcrypto.so.0.9.7
ln -s libssl.so.0.9.8 libssl.so.0.9.7
  • Die PAM-Voreinstellunge für die Authentisierung passen für Squeeze nicht mehr. Eine gültige /etc/pam.d/vmware-authd (kopierte Datei xdm):
auth		requisite	pam_nologin.so
auth		required	pam_env.so
auth		required	pam_env.so envfile=/etc/default/locale
session		required	pam_limits.so

@include common-auth
@include common-account
@include common-session
@include common-password

Weblinks